Bug 238030 - Kernel oops from kswapd0 in remove_inode_buffers()
Kernel oops from kswapd0 in remove_inode_buffers()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-04-26 12:27 EDT by Christopher Beland
Modified: 2008-05-06 15:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-04-26 12:27:16 EDT
I just experienced the following kernel oops:

---

Oops: 0000 [#1]
SMP 
CPU:    0
EIP:    0060:[<c04ede17>]    Not tainted VLI
EFLAGS: 00010296   (2.6.20-1.2944.fc6 #1)
EIP is at _raw_spin_lock+0x7/0xd9
eax: 48a3335c   ebx: 48a3335c   ecx: edd45550   edx: c0007bac
esi: 00000000   edi: c0007bac   ebp: 48a33300   esp: c1866eac
ds: 007b   es: 007b   ss: 0068
Process kswapd0 (pid: 170, ti=c1866000 task=c1870db0 task.ti=c1866000)
Stack: c1866f14 0000001f 00000000 00000000 00000000 00000001 00000001 00000000 
       c0490129 00000246 c1228648 c115dfb0 c1212050 c0707c98 c0007a74 00000000 
       00000052 00000052 c0483022 00000080 e0b8b3c0 dc9fce10 000005dc ededa440 
Call Trace:
 [<c0490129>] remove_inode_buffers+0x37/0xc2
 [<c0483022>] shrink_icache_memory+0xba/0x1a8
 [<c045dddf>] shrink_slab+0xd9/0x13e
 [<c045e174>] kswapd+0x2b4/0x3bb
 [<c0437725>] autoremove_wake_function+0x0/0x35
 [<c045dec0>] kswapd+0x0/0x3bb
 [<c043766b>] kthread+0xb0/0xd9
 [<c04375bb>] kthread+0x0/0xd9
 [<c0404b33>] kernel_thread_helper+0x7/0x10
 =======================
Code: 43 08 74 0c ba 78 cc 6b c0 89 d8 e8 a9 fe ff ff c7 43 0c ff ff ff ff b0 01
c7 43 08 ff ff ff ff 86 03 5b c3 56 53 89 c3 83 ec 18 <81> 78 04 ad 4e ad de 74
0a ba 62 cc 6b c0 e8 7b fe ff ff 65 a1 
EIP: [<c04ede17>] _raw_spin_lock+0x7/0xd9 SS:ESP 0068:c1866eac

---

This is with kernel-2.6.20-1.2944.fc6.  The last thing I did was to run
"locate", though I doubt this is related since I use that command quite
frequently without any problems.  I stopped using ndiswrapper a few weeks back,
and uninstalled it and all its kernel modules.  I'm now using cat-5 cables
strung around my apartment, so this oops is not related to the wireless
subsystem.  There do seem to be other kernel oops reports in bugzilla which are
related to sleeping the system.  I have used "suspend system" today, but that
was several hours ago.

After this oops, I was unable to start any new applications (emacs,
gnome-terminal, etc.), so I was forced to reboot.  I was able to paste the text
of the oops into an open Emacs buffer and save it to disk, which is how it is
reproduced here.
Comment 1 Jon Stanley 2008-01-07 20:54:16 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Christopher Beland 2008-01-23 17:03:03 EST
I haven't experienced an oops with this particular trace with Fedora 8, though I
have reported other oopses in separate bugs.
Comment 3 Christopher Beland 2008-01-23 17:11:41 EST
You might want to see bug 428329; I suspect there might be a general problem
when I suspend/hibernate which results in a variety of kernel crashes.
Comment 4 Bug Zapper 2008-04-04 03:06:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:32:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.